#!/bin/bash


FirmwareIndispensable="VRAI"
Firmware="VRAI"
Wifi="VRAI"
if [ A"$(lsusb |grep -i blu && lspci |grep -i blu)" != "A" ];then Bluetooth="VRAI";fi
OrdinateurPortable="VRAI"
SystemeIndispensable="VRAI"
Systeme="VRAI"
Reseau="VRAI"
Imprimante="VRAI"
Polices="VRAI"
Photos="VRAI"
AudioVideoVlc="VRAI"
AudioVideo="VRAI"
TelechargementVideo="VRAI"
DVD="VRAI"
Thunderbird="VRAI"
LibreofficeFr="VRAI"

echo wilma/noble/trixie/sid

-----
PARTIE 1
-----
echo  'Mise à Jour ' ; apt-get update && apt-get -d -y dist-upgrade

echo ajouts;sudo apt-get install -d -y lxrandr


echo "pilotes(drivers) souvent utilisés" ;

if [ A"$Firmware" = A"VRAI" ] ; then apt-get -d -y install firmware-b43-installer firmware-b43legacy-installer firmware-ath9k-htc ; fi
# firmware-adi firmware-ath9k-htc-dbgsym firmware-intelwimax firmware-qcom-media
echo "wifi"

if [ A"$Wifi" = A"VRAI" ] ; then apt-get -d -y install rfkill wireless-tools wpasupplicant ;fi

echo "ordinateur portable (laptop)’";

if [ A"$OrdinateurPortable" = A"VRAI" ] ; then apt-get -d -y install upower laptop-detect ;fi
echo "SYSTEME indispensable"

if [ A"$SystemeIndispensable" = A"VRAI" ] ; then apt-get -d -y install curl dpkg gparted grep gsmartcontrol less lshw lshw-gtk mesa-utils ntfs-3g usbutils wget p7zip-full smartmontools unrar-free mesa-utils apt-transport-https;apt-get -y install apt-file&& apt-file update ; fi
echo SYSTEME

if [ A"$Systeme" = A"VRAI" ] ; then apt-get -d -y install apt-file autoconf bc binutils build-essential coreutils debconf dmidecode fail2ban fdupes gettext glew-utils grsync hardinfo hdparm htop inxi iproute2 kmod linux-source lsb-base lsb-release mbr mtools net-tools nmap openssh-server pciutils screen screen secure-delete smart-notifier subversion syslinux build-essential util-linux unace xfsprogs reiserfsprogs reiser4progs jfsutils xfsdump yelp kpartx dmraid gpart udftools strace sqlite3 net-tools genisoimage testdisk make net-tools sqlite3 libreadline[0-9] ; fi
# hugin linux-headers-amd64
echo réseau

if [ A"$Reseau" = A"VRAI" ] ; then apt-get -d -y install chkrootkit fail2ban rkhunter net-tools nmap openssh-server ; fi
echo imprimantes

if [ A"$Imprimante" = A"VRAI" ] ; then apt-get -d -y install cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-ppdc cups-server-common foomatic-db-compressed-ppds foomatic-db-engine mtink openprinting-ppds printer-driver-cups-pdf printer-driver-hpcups printer-driver-cjet printer-driver-all python3-cups sane-airscan simple-scan system-config-printer xsane ;fi
##python-cups
###cups-bsd ( ou lpr ? )

echo "puis en root ( remplacer machin par l’utilisateur )"
echo "adduser machin lp ; adduser machin lpadmin"
echo polices fonts

if [ A"$Polices" = A"VRAI" ] ; then apt-get -d -y install gsfonts gsfonts-x11 fonts-arkpandora xfonts-100dpi xfonts-75dpi ;fi
echo "PHOTOS"

if [ A"$Photos" = A"VRAI" ] ; then apt-get -d -y install dcraw darktable exiftran exiv2 geeqie gimagereader gimp gimp-data gimp-data-extras gimp-texturize gimp-lensfun gimp-gutenprint gimp-gmic gtkam-gimp gmic gpscorrelate-gui icc-profiles icc-profiles-free imagemagick jhead  mjpegtools ;fi
#gimp-gap libjpeg-progs libjpeg-progs
##ufraw gimp-dcraw
###gallerie
echo "AUDIO/VIDEO"

apt-get --purge remove ffmpeg2theora ;if [ A"$AudioVideoVlc" = A"VRAI" ] ; then apt-get -d -y install dvd+rw-tools ffmpeg libde265-0 mplayer mpg321 vlc vorbis-tools vlc-plugin-access-extra vlc-bin x264 ; fi
# ffmpeg2theora
if [ A"$AudioVideo" = A"VRAI" ] ; then echo "éditeur GTK+ pour les tags de fichiers audio " ; apt-get -d -y install easytag alsamixergui audacity flac lame mpgtx mjpegtools twolame audacity ffmpeg mencoder mkvtoolnix mkvtoolnix-gui timidity vlc-plugin-fluidsynth vlc-plugin-jack xine-ui vlc-plugin-svg rtmpdump ; fi
#
echo "téléchargement de vidéos (ARTE...) : " ;

if [ A"$TelechargementVideo" = A"VRAI" ] ; then apt-get -d -y install python3-pip && pip3 install yt-dlp ;fi

##vlc-plugin-vlsub
echo "édition vidéo audio, sous-titres" ; apt-get -d -y install gaupol handbrake openshot-qt
echo dvd cd gravage

if [ A"$DVD" = A"VRAI" ] ; then apt-get -d -y install bc brasero brasero-cdrkit dvd+rw-tools k3b kamera mpg321 normalize-audio sox vcdimager vorbis-tools ;fi
echo MAILS

if [ A"$Thunderbird" = A"VRAI" ] ; then echo nettoyage de firefox : on enlève les langues inutilisées ; apt-get --purge remove firefox-esr-l10n-ar firefox-esr-l10n-ast firefox-esr-l10n-be firefox-esr-l10n-bg firefox-esr-l10n-bn firefox-esr-l10n-bs firefox-esr-l10n-ca firefox-esr-l10n-cs firefox-esr-l10n-cy firefox-esr-l10n-da firefox-esr-l10n-de firefox-esr-l10n-el firefox-esr-l10n-eo firefox-esr-l10n-es-ar firefox-esr-l10n-es-cl firefox-esr-l10n-es-es firefox-esr-l10n-es-mx firefox-esr-l10n-et firefox-esr-l10n-eu firefox-esr-l10n-fa firefox-esr-l10n-fi firefox-esr-l10n-ga-ie firefox-esr-l10n-gl firefox-esr-l10n-gu-in firefox-esr-l10n-he firefox-esr-l10n-hi-in firefox-esr-l10n-hr firefox-esr-l10n-hu firefox-esr-l10n-id firefox-esr-l10n-is firefox-esr-l10n-it firefox-esr-l10n-ja firefox-esr-l10n-kk firefox-esr-l10n-km firefox-esr-l10n-kn firefox-esr-l10n-ko firefox-esr-l10n-lt firefox-esr-l10n-lv firefox-esr-l10n-mk firefox-esr-l10n-mr firefox-esr-l10n-nb-no firefox-esr-l10n-ne-np firefox-esr-l10n-nl firefox-esr-l10n-nn-no firefox-esr-l10n-pa-in firefox-esr-l10n-pl firefox-esr-l10n-pt-br firefox-esr-l10n-pt-pt firefox-esr-l10n-ro firefox-esr-l10n-ru firefox-esr-l10n-si firefox-esr-l10n-sk firefox-esr-l10n-sl firefox-esr-l10n-sq firefox-esr-l10n-sr firefox-esr-l10n-sv-se firefox-esr-l10n-ta firefox-esr-l10n-te firefox-esr-l10n-th firefox-esr-l10n-tr firefox-esr-l10n-uk firefox-esr-l10n-vi firefox-esr-l10n-zh-cn firefox-esr-l10n-zh-tw ; apt-get -d -y install thunderbird-locale-fr thunderbird ; fi
echo nettoyage de libreoffice : on enlève les langues inutilisées

if [ A"$LibreofficeFr" = A"VRAI" ] ; then apt-get --purge remove libreoffice-l10n-ar libreoffice-l10n-ast libreoffice-l10n-be libreoffice-l10n-bg libreoffice-l10n-bn libreoffice-l10n-bs libreoffice-l10n-ca libreoffice-l10n-cs libreoffice-l10n-cy libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-dz libreoffice-l10n-el libreoffice-l10n-en-za libreoffice-l10n-eo libreoffice-l10n-es libreoffice-l10n-et libreoffice-l10n-eu libreoffice-l10n-fa libreoffice-l10n-fi libreoffice-l10n-ga libreoffice-l10n-gl libreoffice-l10n-gu libreoffice-l10n-he libreoffice-l10n-hi libreoffice-l10n-hr libreoffice-l10n-hu libreoffice-l10n-id libreoffice-l10n-is libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-ka libreoffice-l10n-km libreoffice-l10n-ko libreoffice-l10n-lt libreoffice-l10n-lv libreoffice-l10n-mk libreoffice-l10n-ml libreoffice-l10n-mr libreoffice-l10n-nb libreoffice-l10n-ne libreoffice-l10n-nl libreoffice-l10n-nn libreoffice-l10n-pa-in libreoffice-l10n-pl libreoffice-l10n-pt libreoffice-l10n-pt-br libreoffice-l10n-ro libreoffice-l10n-ru libreoffice-l10n-si libreoffice-l10n-sk libreoffice-l10n-sl libreoffice-l10n-sr libreoffice-l10n-sv libreoffice-l10n-ta libreoffice-l10n-te libreoffice-l10n-th libreoffice-l10n-tr libreoffice-l10n-ug libreoffice-l10n-uk libreoffice-l10n-vi libreoffice-l10n-xh libreoffice-l10n-zh-cn libreoffice-l10n-zh-tw ; fi

#exit ;
-----
PARTIE 2
-----
echo OCR

apt-get -d -y install tesseract-ocr tesseract-ocr-fra gimagereader
echo textes, pdf, epub ...

apt-get -d -y install calibre djvulibre-desktop djview inkscape scribus scribus-doc scribus-template
echo DIVERS

apt-get -d -y install dia glew-utils openssh-server cabextract g++ git gpscorrelate-gui transmission-gtk diffpdf diffutils fldiff webhttrack qtqr

Quelques programme supplémentaires non inclus dans la pièce jointe :
echo VNC ;

apt-get -d -y install xtightvncviewer x11vnc
echo "bureau CINNAMON : " ;
apt-get -d -y install task-cinnamon-desktop gnome-terminal
echo "bureau MATE : "
apt-get -d -y install task-mate-desktop caja-extensions-common caja-share
# mate-desktop-environment-extra mate-desktop-environment-extras

echo gestion de mot de passe

apt-get -d -y install keepass2
echo xdotool

génération d’évènements X11 d’entrées clavier ou de souris

#bkchem mmass qalculate-gtk
echo "tableau periodique des elements" ;

apt-get -d -y install libavogadro-dev kalzium
echo "étoiles" ;

apt-get -d -y install kstars starplot stellarium.*
echo astronomie ;

apt-get -d -y install astro-simulation astronomical-almanac nautic openuniverse python3-reproject
echo chimie ;

apt-get -d -y install libavogadro-dev kalzium mopac7-bin nwchem psi3 avogadro chemps2 cp2k ergo jmol openmolcas quantum-espresso

#ghemical mpqc
echo "easychem :

echo trace des molécules et des formules chimiques 2D de haute qualité" ; apt-get -d -y install easychem
echo quantique ;

apt-get -d -y install mopac7-bin nwchem psi3 chemps2 ergo openmolcas
#mpqc
echo "java" ;

apt-get -d -y install openjdk-17-jre-headless openjdk-17-jre
echo "discussion avec les smartphone android" ;

apt-get -d -y install adb
echo "dictionnaires" ;

apt-get -d -y install goldendict artha dict-freedict.*fra
echo "creation de gallerie photo html " :

apt-get -d -y install fgallery
echo "samba : " ;

apt-get -d -y install python3-samba samba samba-common samba-common-bin samba-vfs-modules
echo "appareil photo (canon EOS ) : " ;

apt-get -d -y install gphoto2
echo "lecteur DVD" ;

apt-get -d -y install bc brasero brasero-cdrkit dvd+rw-tools k3b kamera normalize-audio sox vcdimager vorbis-tools mpg321
echo "programmation : " ;

apt-get -d -y install geany python3-pip
#geany-plugin-lipsum
echo gpx, cartes

apt-get -d -y install viking gpsbabel gpscorrelate
echo vnc

apt-get -d -y install xtightvncviewer x11vnc vino
echo "nvidia" ;

#apt-get -d -y install nvidia-detect && sudo apt-get install $(nvidia-detect |grep "It is recommended to install the" -A 1|tail -n 1)
echo "python2" ;

# apt-get -d -y install dh-python python2.7-dbg python2.7-dev python2-dbg python2-dev python2-minimal python-all python-all-dev python-pkg-resources python-qtawesome-doc python-qtconsole-doc python-setuptools python-sfml-doc python-tk scour
#python2-db python-dev-is-python2 python-is-python2 python-six
